Bug 4612 - [patch] support myproxy certificate-based credential renewal
: [patch] support myproxy certificate-based credential renewal
Status: RESOLVED FIXED
: CoG jglobus
myproxy
: 1.2
: All All
: P3 contribution
: ---
Assigned To:
: http://grid.ncsa.uiuc.edu/myproxy/ren...
:
:
:
  Show dependency treegraph
 
Reported: 2006-07-24 23:12 by
Modified: 2006-10-12 07:54 (History)


Attachments
patch to jglobus/src/org/globus/myproxy/MyProxy.java to support certificate-based credential renewal (7.88 KB, patch)
2006-07-24 23:13, Jim Basney
Details
patch to jglobus/src/org/globus/tools/MyProxy.java to use new certificate-based renewal functionality (2.62 KB, patch)
2006-07-24 23:14, Jim Basney
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-07-24 23:12:19
The following patches add support for certificate-based credential renewal to
the MyProxy Java API.  This functionality has been available for the MyProxy C
clients for many years, and it has been requested by portal developers.  Please
include this functionality in future releases.
------- Comment #1 From 2006-07-24 23:13:43 -------
Created an attachment (id=1013) [details]
patch to jglobus/src/org/globus/myproxy/MyProxy.java to support
certificate-based credential renewal
------- Comment #2 From 2006-07-24 23:14:45 -------
Created an attachment (id=1014) [details]
patch to jglobus/src/org/globus/tools/MyProxy.java to use new certificate-based
renewal functionality
------- Comment #3 From 2006-07-26 14:33:12 -------
Patch was committed to trunk with some minor changes (mainly how the authzcreds
are passed around). Also, added a test case for this feature. Committed the
updated cog-jglobus.jar to java ws core trunk.

Thanks a lot for the patch!
------- Comment #4 From 2006-08-09 10:16:08 -------
Thank you, Jim and Jarek.  Can you roll a new release of jglobus, Jarek, with
an updated version number and changelog, so we can update our copy of jglobus?

Thank you again -

Jay
TIn reply to comment #3)
> Patch was committed to trunk with some minor changes (mainly how the authzcreds
> are passed around). Also, added a test case for this feature. Committed the
> updated cog-jglobus.jar to java ws core trunk.
> Thanks a lot for the patch!

(In reply to comment #3)
> Patch was committed to trunk with some minor changes (mainly how the authzcreds
> are passed around). Also, added a test case for this feature. Committed the
> updated cog-jglobus.jar to java ws core trunk.
> Thanks a lot for the patch!
------- Comment #5 From 2006-08-30 16:13:22 -------
 Is this patch included in the jglobus distributed with gt4.0.3?
------- Comment #6 From 2006-09-15 03:34:06 -------
(In reply to comment #5)
>  Is this patch included in the jglobus distributed with gt4.0.3?
> 

I'd also like to know that!
From what I can see it is not, I don't see any methods which seem to allow
renewal.
------- Comment #7 From 2006-09-15 13:30:05 -------
(In reply to comment #5)
>  Is this patch included in the jglobus distributed with gt4.0.3?

I can confirm that the patch is not included in the cog-jglobus.jar in GT
4.0.3.  It is currently only available via jglobus CVS as documented at
<http://wiki.cogkit.org/index.php/Java_CoG_Kit_Installation_Guide#Development_Distribution>.
------- Comment #8 From 2006-10-11 22:34:18 -------
Btw, if you are still interested these patches were included in the 1.4 version
of CoG JGlobus just released. Please see:
http://dev.globus.org/wiki/CoG_JGlobus_1.4
------- Comment #9 From 2006-10-12 07:54:54 -------
(In reply to comment #8)
> Btw, if you are still interested these patches were included in the 1.4 version
> of CoG JGlobus just released. Please see:
> http://dev.globus.org/wiki/CoG_JGlobus_1.4

Thanks!